using System.ComponentModel.DataAnnotations;

namespace AddressBookApi.Models.Dto;

public class AddressDto
{
    public int Id { get; set; }
    
    [Required]
    [MaxLength(50)]
    public string? Name { get; set; }
    
    [Required]
    [MaxLength(100)]
    public string? Street { get; set; }
    
    [Required]
    [MaxLength(50)]
    public string? City { get; set; }
    
    [Required]
    [MaxLength(18)]
    public string? PostCode { get; set; }
}